#pragma once
#include "global.h"
//操作参数
struct AniOpArg
{
	int layerTargetMode = 0;//0所有图层 1排除图层 2指定图层
	CString layerList;//指定图层列表
	int frameTargetMode = 0;//0所有帧 1排除帧 2指定帧
	CString frameList;//指定图层列表
	int pidOpMode = 0;//0加法 1赋值
	int pidOpNum = 0;//操作数值
	int offsetXOpMode = 0;//0加法 1乘法 2赋值
	float offsetXOpNum = 0;//x方向的操作数值
	int offsetYOpMode = 0;//0加法 1乘法 2赋值
	float offsetYOpNum = 0;//x方向的操作数值
};

class CAniOp : public CDialog
{
	DECLARE_DYNAMIC(CAniOp)
	DECLARE_MESSAGE_MAP()
public:
	CAniOp(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CAniOp();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CANIEDITOR_ANIOP };
#endif
	CString inAniName;
	int inLineShow = 16;
	AniOpArg outArg;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
private:
	CButton radio_allLayer;
	CButton radio_ignLayer;
	CButton radio_dstLayer;
	CEdit edit_numLayer;
	CButton radio_allFrame;
	CButton radio_ignFrame;
	CButton radio_dstFrame;
	CEdit edit_numFrame;
	CButton radio_pid_op_plus;
	CButton radio_pid_op_dst;
	CEdit edit_pid_op_num;
	CButton radio_offset_x_op_plus;
	CButton radio_offset_x_op_mul;
	CButton radio_offset_x_op_dst;
	CEdit edit_offset_x_op_num;
	CButton radio_offset_y_op_plus;
	CButton radio_offset_y_op_mul;
	CButton radio_offset_y_op_dst;
	CEdit edit_offset_y_op_num;
	CButton button_l2r;
	CButton button_r2l;
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedRadioAllLayer();
	afx_msg void OnBnClickedRadioIgnLayer();
	afx_msg void OnBnClickedRadioDstLayer();
	afx_msg void OnBnClickedRadioAllFrame();
	afx_msg void OnBnClickedRadioIgnFrame();
	afx_msg void OnBnClickedRadioDstFrame();
	afx_msg void OnBnClickedButtonL2r();
	afx_msg void OnBnClickedButtonR2l();
};

